profile.d: Don't force Qt to Wayland backend on amber-phone

Qt version in amber-phone supports only zxdg-shell-v6. Since
phoc already dropped support of this protocol in favor of stable
xdg-shell, it makes no sense to try to use Wayland backend there.

The only benefit it brings is non-blurry Qt apps under Flatpak,
but at cost of breaking any native Qt apps. Although it likely
doesn't matter much for the phone, it's a pretty big issue when
it comes to convergence use cases.

Byzantium has a much newer Qt, so this isn't a problem there.
3 jobs for qt-x11 in 3 minutes and 5 seconds (queued for 1 second)
latest